Subject: Widgets are not compatible with Doctrine persistance
Description

Both the pagination and autocomplete are currently not compatible with the Doctrine persistance layer.

For example, when assigning a result from a repository to the objects attribute of the pagination widget, the following exception is
thrown:

PaginateViewHelper_Original::render() must be an instance of F3\FLOW3\Persistence\QueryResult, instance of
F3\FLOW3\Persistence\Doctrine\QueryResult given

I've only tested this with the pagination widget, but as both have the same annotation for $objects, I suspect that also the
autocomplete is suffering from this issue.

Associated revisions
Revision ce6cace9 - 2011-03-24 10:47 - Karsten Dambekalns

[BUGFIX] (ViewHelpers) Change QueryResult to QueryResultInterface

Adjust AutocompleteViewHelper and PaginateViewHelper to the changed
persistence class hierarchy.

Fixes: #14017
Change-Id: Id71ddbe471458a87a9162fc2bfdf4e556bf8c2e8

History
#1 - 2011-03-24 10:36 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2011-03-24 10:49 - Karsten Dambekalns
- Status changed from Accepted to Under Review

https://review.typo3.org/1253

#3 - 2011-03-25 06:30 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:ce6cace983f899e67d7f2a3c09e6d9c68486598d.
